org.apache.hadoop.tracing

## Interface TraceAdminPB.ConfigPairOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    TraceAdminPB.ConfigPair, TraceAdminPB.ConfigPair.Builder
  Enclosing class:
    TraceAdminPB

      public static interface TraceAdminPB.ConfigPairOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getKey()` `required string key = 1;`
    `com.google.protobuf.ByteString` | `getKeyBytes()` `required string key = 1;`
    `String` | `getValue()` `required string value = 2;`
    `com.google.protobuf.ByteString` | `getValueBytes()` `required string value = 2;`
    `boolean` | `hasKey()` `required string key = 1;`
    `boolean` | `hasValue()` `required string value = 2;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasKey

          boolean hasKey()

      `required string key = 1;`

    - #### getKey

          String getKey()

      `required string key = 1;`

    - #### getKeyBytes

          com.google.protobuf.ByteString getKeyBytes()

      `required string key = 1;`

    - #### hasValue

          boolean hasValue()

      `required string value = 2;`

    - #### getValue

          String getValue()

      `required string value = 2;`

    - #### getValueBytes

          com.google.protobuf.ByteString getValueBytes()

      `required string value = 2;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.